GET
/admin/company/update/{id}
curl \
--request GET 'https://live.smartpmtech.com/admin/company/update/{id}' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"created": "2026-05-04T09:42:00Z",
"lastUpdated": "2026-05-04T09:42:00Z",
"version": 42,
"id": "string",
"name": "string",
"location": {
"streetAddress": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"country": "string"
},
"logo": "string",
"deleted": true,
"companyType": "Foundations",
"ssoRealm": "string",
"maxUsers": 42,
"maxSchedules": 42,
"maxSchedulesPerProject": 42,
"defaultProjectPlanId": "string",
"slotUsageTypeId": "string",
"defaultQualityProfileId": 42,
"defaultRiskProfileId": 42,
"defaultHealthProfileId": "string",
"isolatedAiTenant": true,
"constructionIndustrySegment": "CONSULTANT",
"aggregatedMetrics": true,
"licenseType": "PROJECT_BASED",
"academyAccess": true,
"defaultWorkspaceTemplateId": "string",
"defaultDashboardTemplateId": "string",
"primaryChecklistId": 42
}